PORTEUS v4 i586 - как поставить и запустить Electrum?

Добро пожаловать!

Moderator: Blaze

Post Reply
glestwid
Samurai
Samurai
Posts: 105
Joined: 09 Jan 2018, 20:05
Distribution: Porteus-KDE 3.2.2 i586

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#1 by glestwid » 05 Jul 2020, 21:20

Скачал его отсюда,https://www.electrum.org/, пробую запустить и получаю:
root@porteus3:/tmp/electrum# ./run_electrum
Error: Could not import PyQt5 on Linux systems, you may try 'sudo apt-get install python3-pyqt5'
Ок, сделал python3-PyQt5 XZM из этого файла https://slackware.pkgs.org/14.2/slackon ... y.txz.html, активировал его, снова запускаю run_electrum, снова получаю
root@porteus3:/tmp/electrum# ./run_electrum
Error: Could not import PyQt5 on Linux systems, you may try 'sudo apt-get install python3-pyqt5'
Что я делаю не так?

User avatar
Blaze
DEV Team
DEV Team
Posts: 2944
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#2 by Blaze » 06 Jul 2020, 06:47

Не факт, что запустите этот шедевр, который требует

Code: Select all

Requirement already satisfied: pyaes>=0.1a1 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (1.6.1)
Requirement already satisfied: ecdsa>=0.14 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (0.15)
Requirement already satisfied: qrcode in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (6.1)
Requirement already satisfied: protobuf>=3.12 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (3.12.2)
Requirement already satisfied: dnspython<2.0 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (1.16.0)
Requirement already satisfied: qdarkstyle<2.9 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (2.8.1)
Requirement already satisfied: aiorpcx<0.19,>=0.18 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (0.18.4)
Requirement already satisfied: aiohttp<4.0.0,>=3.3.0 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (3.6.2)
Requirement already satisfied: aiohttp_socks>=0.3 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (0.3.9)
Requirement already satisfied: certifi in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (2020.6.20)
Requirement already satisfied: bitstring in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (3.1.7)
Requirement already satisfied: attrs>=19.2.0 in /root/.local/lib/python3.8/site-packages (from Electrum==4.0.1) (19.3.0)
Requirement already satisfied: six>=1.9.0 in /root/.local/lib/python3.8/site-packages (from ecdsa>=0.14->Electrum==4.0.1) (1.15.0)
Requirement already satisfied: setuptools in /usr/lib64/python3.8/site-packages (from protobuf>=3.12->Electrum==4.0.1) (49.1.0)
Requirement already satisfied: helpdev>=0.6.10 in /root/.local/lib/python3.8/site-packages (from qdarkstyle<2.9->Electrum==4.0.1) (0.7.1)
Requirement already satisfied: qtpy>=1.9 in /root/.local/lib/python3.8/site-packages (from qdarkstyle<2.9->Electrum==4.0.1) (1.9.0)
Requirement already satisfied: chardet<4.0,>=2.0 in /root/.local/lib/python3.8/site-packages (from aiohttp<4.0.0,>=3.3.0->Electrum==4.0.1) (3.0.4)
Requirement already satisfied: async-timeout<4.0,>=3.0 in /root/.local/lib/python3.8/site-packages (from aiohttp<4.0.0,>=3.3.0->Electrum==4.0.1) (3.0.1)
Requirement already satisfied: multidict<5.0,>=4.5 in /root/.local/lib/python3.8/site-packages (from aiohttp<4.0.0,>=3.3.0->Electrum==4.0.1) (4.7.6)
Requirement already satisfied: yarl<2.0,>=1.0 in /root/.local/lib/python3.8/site-packages (from aiohttp<4.0.0,>=3.3.0->Electrum==4.0.1) (1.4.2)
Requirement already satisfied: idna>=2.0 in /root/.local/lib/python3.8/site-packages (from yarl<2.0,>=1.0->aiohttp<4.0.0,>=3.3.0->Electrum==4.0.1) (2.10)
Вручную скачайте и активируйте cffi, cryptography, secp256k1-20170312

Code: Select all

su
toor
cd /tmp
wget https://download.electrum.org/4.0.1/Electrum-4.0.1.tar.gz
# сохраните в /tmp
getpkg python3 python-setuptools python-pip PyQt5 qt5
activate /tmp/python3*.xzm
activate /tmp/python-setuptools-*.xzm
activate /tmp/python-pip-*.xzm 
activate /tmp/PyQt5-*.xzm 
activate /tmp/qt5-*.xzm
pip3 install --user --upgrade PyQt5
pip3 install --user --upgrade PyQt5-sip
python3 -m pip install --user Electrum-4.0.1.tar.gz
cd /root/.local/bin
./electrum
Удачи!
Linux 5.4.57-porteus #1 SMP Sun Aug 9 09:03:28 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

glestwid
Samurai
Samurai
Posts: 105
Joined: 09 Jan 2018, 20:05
Distribution: Porteus-KDE 3.2.2 i586

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#3 by glestwid » 06 Jul 2020, 08:13

Ок, запускаю
getpkg python3 python-setuptools python-pip PyQt5 qt5
Получаю:
[ERROR] Could not find python3
[OK] python-setuptools-22.0.5-i586-1.txz
[ERROR] Could not find python-pip
[ERROR] Could not find PyQt5
[ERROR] Could not find qt5
###############################
SCAN REPORT
The following packages were not found.

python3
python-pip
PyQt5
qt5

A report was left at /tmp/getpkg/errors.txt

Please enter a directory to download the packages to.
Что я делаю не так?

User avatar
Blaze
DEV Team
DEV Team
Posts: 2944
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#4 by Blaze » 06 Jul 2020, 08:18

Вы используете старую версию Porteus
Linux 5.4.57-porteus #1 SMP Sun Aug 9 09:03:28 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

glestwid
Samurai
Samurai
Posts: 105
Joined: 09 Jan 2018, 20:05
Distribution: Porteus-KDE 3.2.2 i586

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#5 by glestwid » 06 Jul 2020, 08:59

v4 - это старая?

User avatar
Blaze
DEV Team
DEV Team
Posts: 2944
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#6 by Blaze » 06 Jul 2020, 09:00

Linux 5.4.57-porteus #1 SMP Sun Aug 9 09:03:28 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

glestwid
Samurai
Samurai
Posts: 105
Joined: 09 Jan 2018, 20:05
Distribution: Porteus-KDE 3.2.2 i586

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#7 by glestwid » 06 Jul 2020, 09:10

То есть, v5 под 32бита нет и не будет?

User avatar
Blaze
DEV Team
DEV Team
Posts: 2944
Joined: 28 Dec 2010, 11:31
Distribution: ⟰ Porteus current ☯ all DEs ☯
Location: ☭ Russian Federation, Lipetsk region, Dankov
Contact:

PORTEUS v4 i586 - как поставить и запустить Electrum?

Post#8 by Blaze » 06 Jul 2020, 11:34

Будет, но только финальная версия.
Linux 5.4.57-porteus #1 SMP Sun Aug 9 09:03:28 UTC 2020 x86_64 Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz GenuineIntel GNU/Linux
MS-7A12 » [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360 OEM] (rev 81) » Vengeance LPX 16GB DDR4 K2 3200MHz C16

Post Reply